# Configure the Data Connect Experience
source: https://developer.mastercard.com/open-finance-us/documentation/connect/configure-connect-experience/index.md

You can configure the UI and functional aspects of the Mastercard Data Connect user experience. This can be useful to keep the experience aligned with your own branding. Use the [Customize Connect](https://developer.mastercard.com/open-finance-us/documentation/connect/configure-connect-experience/customize-connect/index.md) feature on Client Hub to configure most aspects of the Data Connect experience. If you need help with customizing the Data Connect experience, you can [contact us](https://developer.mastercard.com/open-finance-us/documentation/support/index.md) and collaborate with a sales engineer.

Whether you configure your experience on [Customize Connect](https://developer.mastercard.com/open-finance-us/documentation/connect/configure-connect-experience/customize-connect/index.md) or with the assistance of the Mastercard support team, you will receive a unique ID. You can use this unique ID in the `experience` parameter when [generating a Data Connect URL](https://developer.mastercard.com/open-finance-us/documentation/connect/generate-2-connect-url-apis/index.md). The generated URL will then load your configured version of the Data Connect experience.

You can create multiple experiences to support different use cases or scenarios within your application. For example, you might configure separate experiences for lending workflows, payment verification, or personal finance management, each with appropriate branding and settings.
Note: The `experience` parameter is optional. If you do not provide an experience ID when generating a Data Connect URL, the default Mastercard Open Finance branding will be used and a standard transaction aggregation will be performed. Note: Ensure you [register your application](https://developer.mastercard.com/open-finance-us/documentation/financial-institution/oauth-connections/register-your-applications/index.md) before you request an `experience`. Your application registration is critical to map the experience to your application.

#### Configuration Options {#configuration-options}

The following table shows which options for configuring the Data Connect experience are available.

|              Name              |                                                                                                                                                                                                          Description                                                                                                                                                                                                           | Data Connect Full | Data Connect Lite | Data Connect Fix | Data Connect Email |
|--------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------|-------------------|------------------|--------------------|
| Brand Color                    | The brand color that is used for primary buttons and the loader within Data Connect.                                                                                                                                                                                                                                                                                                                                           | ✔                 | ✔                 | ✔                | ✔                  |
| Brand Logo                     | Display a logo in Data Connect. Format allowed: SVG files.                                                                                                                                                                                                                                                                                                                                                                     | ✔                 |                   |                  | ✔                  |
| Brand Icon                     | Display an icon on the Share data page.                                                                                                                                                                                                                                                                                                                                                                                        | ✔                 | ✔                 | ✔                | ✔                  |
| Email Logo                     | Display a logo in Data Connect emails sent to consumers. Format allowed: PNG files.                                                                                                                                                                                                                                                                                                                                            |                   |                   |                  | ✔                  |
| Email Templates                | Configure the body, subject, and button text for Data Connect emails sent to customers.                                                                                                                                                                                                                                                                                                                                        |                   |                   |                  | ✔                  |
| Popular Financial Institutions | Display the most common financial institutions (up to 8 tiles) on the Bank Search page.                                                                                                                                                                                                                                                                                                                                        | ✔                 |                   |                  | ✔                  |
| Reports                        | The credit decisioning reports sent after a Data Connect session successfully completes.                                                                                                                                                                                                                                                                                                                                       | ✔                 |                   |                  | ✔                  |
| Single Use URL                 | By default, a Data Connect URL can be used multiple times. Set this to `true` if you want to prevent multiple reports from being run from one Data Connect URL or email. **Note** : The `singleUserUrl` value passed in the Generate Data Connect URL API call overrides the value set via the experience.                                                                                                                     | ✔                 | ✔                 | ✔                | ✔                  |
| Enable Fix                     | Enables the Data Connect Fix flow for the Data Connect application instead of requesting it through the Generate Fix Data Connect URL API endpoint.                                                                                                                                                                                                                                                                            | ✔                 |                   |                  | ✔                  |
| Disable Account Management     | When enabled, the customer is unable to edit or delete the accounts they've added to Data Connect, **Tip**: Useful in Personal Finance Management use cases where account management is handled elsewhere within the application.                                                                                                                                                                                              | ✔                 |                   |                  | ✔                  |
| Disable Account History        | When enabled, the customer cannot see any of their accounts previously added in a Data Connect session.                                                                                                                                                                                                                                                                                                                        | ✔                 |                   |                  | ✔                  |
| Account Selection Type         | Specify whether the customer can select only one account (radio button), or multiple accounts (checkboxes) in a Data Connect session. **Tip**: Useful for setting up an ACH flow.                                                                                                                                                                                                                                              | ✔                 |                   |                  | ✔                  |
| Hide Exit Button               | Hide the Exit button on all Data Connect pages.                                                                                                                                                                                                                                                                                                                                                                                | ✔                 | ✔                 | ✔                | ✔                  |
| Hide Back Button               | Hide the Back button on all Data Connect pages.                                                                                                                                                                                                                                                                                                                                                                                | ✔                 | ✔                 | ✔                | ✔                  |
| Account Type Filtering         | Allow only certain types of accounts to be shown to the customer for selection (checking accounts, savings accounts, and so on). **Note**: Data Connect Lite users must ensure that if the customer selects no suitable accounts, the application handles Data Connect returning an empty array in the added event (typically this would be handled by displaying a message or screen saying no sharable accounts were found). | ✔                 | ✔                 |                  |                    |

Note: You can set which financial institutions to display on the **Find your bank** screen in the Data Connect app. See [Institution Settings](https://developer.mastercard.com/open-finance-us/documentation/connect/connect-institutions-settings/index.md).

## Retrieve Experience IDs {#retrieve-experience-ids}

Retrieve all the relevant experiences associated with your application by calling the [Retrieve Experience](https://developer.mastercard.com/open-finance-us/documentation/api-reference/index.md#GetAllExperience) endpoint. This endpoint returns the unique identifier for each `experience` linked to your application name - `appName` (the application name you provide when registering your application using the [App Registration API](https://developer.mastercard.com/open-finance-us/documentation/api-reference/index.md#RegisterApp)). Optionally, you can filter experiences by specific products such as ACH, AO, ABC, using `productCode` as a query parameter. The `productCode` values must correspond to the products outlined in your contract with Mastercard.

API Reference: `GET /connect/experiences`

